using System;
using FilterAPI.Networking;

using FilterZone.ZoneNetworking;

namespace FilterZone
{
    internal class GlobalPacket
    {
        public static void SendShoutMessageServer(ZoneClient ClientSocket, String sID, String Message, params Object[] Args)
        {
            String FormattedMessage = String.Format(Message, Args);

            using (var ServerPacket = new Packet(8, 31))
            {
                ServerPacket.WriteString(sID, 16);
                ServerPacket.PacketWriter.Write((Byte)0);
                ServerPacket.PacketWriter.Write(FormattedMessage);

                ClientSocket.SendPacketClient(ServerPacket);
            }
        }
    }
}
